resource "keycloak_realm" "dev" {
  realm   = "dev.janky.solutions"
  enabled = true
  display_name = "Janky Solutions (dev)"
  default_signature_algorithm = "RS256"
}

resource "keycloak_authentication_bindings" "browser_authentication_binding" {
  realm_id        = keycloak_realm.dev.id
  browser_flow  = keycloak_authentication_flow.passkey.alias
}
