data "terraform_remote_state" "kube" {
  backend = "kubernetes"
  config = {
    secret_suffix    = "state"
    namespace        = "tofu"
    config_path      = "../.kubeconfig"
  }
}

provider "vault" {}

terraform {
  required_providers {
    keycloak = {
      source = "mrparkers/keycloak"
      version = ">= 4.0.0"
    }
  }
}

provider "keycloak" {
    realm         = "dev.janky.solutions"
    url           = "https://auth.janky.solutions"
}
