# PowerDNS Infrastructure

Playbook `powerdns.yml` will do the core setup. The GUI requires some manual configuration unfortunately:
1. On first login, you will be prompted for a PowerDNS URL and password. URL is http://10.88.0.1:8081 (10.88.0.1 is the podman host IP on the default network), password is generated and written to `secrets/dns.janky.solutions/pdns-api-password.txt`
2. Navigate to Settings -> Basic and update the following settings, clicking each of their respective save buttons after updating the field (there is no global save button)
  * `allow_user_create_domain` - turn on
  * `allow_user_remove_domain` - turn on
  * `allow_user_view_history` - turn on
  * `default_domain_table_size` - `100`
  * `default_record_table_size` - `1000`
  * `session_timeout` - `99999` (a session timeout will trigger an SSO logout!)
  * `site_name` - `Janky Solutions DNS`
  * `ttl_options` - `1 minute,5 minutes,30 minutes,60 minutes,24 hours,48 hours`
